/**
 * Ladder, empowering Model Driven Architecture in J2EE applications
 *
 * Copyright (c) 2012, Dilip Dalton or third-party contributors as
 * indicated by the @author tags.
 *
 * This copyrighted material is made available to anyone wishing to use, modify,
 * copy, or redistribute it subject to the terms and conditions of the GNU
 * Lesser General Public License, as published by the Free Software Foundation.
 *
 * Ladder is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this distribution. If not, see <http://www.gnu.org/licenses/>.
 */ 

package ws.ladder.db.vo.base;

import java.util.HashSet;
import java.util.Set;

import ws.ladder.db.vo.common.PropertyVO;
import ws.ladder.db.vo.option.OptionModelVO;

public class ArtifactVO extends IdentityVO {

	private OptionModelVO optionModel;

	public OptionModelVO getOptionModel() {
		return this.optionModel;
	}

	public void setOptionModel(OptionModelVO optionModel) {
		this.optionModel = optionModel;
	}

	private Set<PropertyVO> property = new HashSet<PropertyVO>();

	public Set<PropertyVO> getProperty() {
		return this.property;
	}

	public void setProperty(Set<PropertyVO> propertys) {
		this.property = propertys;
	}

	private boolean disabled;

	public boolean isDisabled() {
		return disabled;
	}

	public void setDisabled(boolean disabled) {
		this.disabled = disabled;
	}

	private PersonVO ownedBy;

	public PersonVO getOwnedBy() {
		return this.ownedBy;
	}

	public void setOwnedBy(PersonVO ownedBy) {
		this.ownedBy = ownedBy;
	}	
	
	private ArtifactTypeVO artifactType;

	public void setArtifactType(ArtifactTypeVO value) {
		this.artifactType = value;
	}

	public ArtifactTypeVO getArtifactType() {
		return this.artifactType;
	}
	
	private ArtifactStateVO state;

	public void setState(ArtifactStateVO value) {
		this.state = value;
	}

	public ArtifactStateVO getState() {
		return this.state;
	}	
	
}
