/**
 * Ladder, empowering Model Driven Architecture in J2EE applications
 *
 * Copyright (c) 2012, Dilip Dalton or third-party contributors as
 * indicated by the @author tags.
 *
 * This copyrighted material is made available to anyone wishing to use, modify,
 * copy, or redistribute it subject to the terms and conditions of the GNU
 * Lesser General Public License, as published by the Free Software Foundation.
 *
 * Ladder is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this distribution. If not, see <http://www.gnu.org/licenses/>.
 */ 

package ws.ladder.db.vo.common;

import ws.ladder.db.vo.base.ArtifactVO;
import ws.ladder.db.vo.base.IdVO;

public class PropertyBindingVO extends IdVO {
	
	private PropertyBindingTypeVO propertyBindingType;
	private ArtifactVO artifact;
	private String artifactPropertyName;
	private PropertyVO property; // back reference

	public PropertyBindingVO() {
	}

	PropertyBindingVO(PropertyBindingTypeVO type, ArtifactVO artifact, String artifactPropertyName) {
		this.propertyBindingType = type;
		this.artifact = artifact;
		this.artifactPropertyName = artifactPropertyName;
	}

	public PropertyBindingTypeVO getPropertyBindingType() {
		return propertyBindingType;
	}

	public void setPropertyBindingType(PropertyBindingTypeVO propertyBindingType) {
		this.propertyBindingType = propertyBindingType;
	}

	public ArtifactVO getArtifact() {
		return artifact;
	}

	public void setArtifact(ArtifactVO artifact) {
		this.artifact = artifact;
	}

	public String getArtifactPropertyName() {
		return artifactPropertyName;
	}

	public void setArtifactPropertyName(String artifactPropertyName) {
		this.artifactPropertyName = artifactPropertyName;
	}

	public PropertyVO getProperty() {
		return property;
	}

	public void setProperty(PropertyVO property) {
		this.property = property;
	}
}
