/**
 * Ladder, empowering Model Driven Architecture in J2EE applications
 *
 * Copyright (c) 2012, Dilip Dalton or third-party contributors as
 * indicated by the @author tags.
 *
 * This copyrighted material is made available to anyone wishing to use, modify,
 * copy, or redistribute it subject to the terms and conditions of the GNU
 * Lesser General Public License, as published by the Free Software Foundation.
 *
 * Ladder is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this distribution. If not, see <http://www.gnu.org/licenses/>.
 */ 

package ws.ladder.db.vo.common;

import java.util.HashSet;
import java.util.Set;

import ws.ladder.db.vo.base.ArtifactVO;
import ws.ladder.db.vo.base.IdentityVO;
import ws.ladder.db.vo.option.OptionVO;

public class PropertyVO extends IdentityVO {

	private ArtifactVO artifact;
	private OptionVO option;
	private Set<PropertyBindingVO> propertyBindings = new HashSet<PropertyBindingVO>();

	private ValueTypeVO valueType;
	private Set<ValueVO> values = new HashSet<ValueVO>();

	private int maxOccurs = 1;
	private int minOccurs = 0;
	private int orderIndex = -1;

	private boolean confidential;
	private boolean encrypted;
	private boolean consumerReadOnly;
	private boolean consumerVisible;

	public ArtifactVO getArtifact() {
		return artifact;
	}

	public void setArtifact(ArtifactVO artifact) {
		this.artifact = artifact;
	}

	public OptionVO getOption() {
		return option;
	}

	public void setOption(OptionVO option) {
		this.option = option;
	}

	protected Set<PropertyBindingVO> getPropertyBindings() {
		return propertyBindings;
	}

	protected void setPropertyBindings(Set<PropertyBindingVO> propertyBindings) {
		this.propertyBindings = propertyBindings;
	}

	public ValueTypeVO getValueType() {
		return valueType;
	}

	public void setValueType(ValueTypeVO valueType) {
		this.valueType = valueType;
	}

	public Set<ValueVO> getValues() {
		return values;
	}

	public void setValues(Set<ValueVO> values) {
		this.values = values;
	}

	public int getMaxOccurs() {
		return maxOccurs;
	}

	public void setMaxOccurs(int maxOccurs) {
		this.maxOccurs = maxOccurs;
	}

	public int getMinOccurs() {
		return minOccurs;
	}

	public void setMinOccurs(int minOccurs) {
		this.minOccurs = minOccurs;
	}

	public int getOrderIndex() {
		return orderIndex;
	}

	public void setOrderIndex(int orderIndex) {
		this.orderIndex = orderIndex;
	}

	public boolean isConfidential() {
		return confidential;
	}

	public void setConfidential(boolean confidential) {
		this.confidential = confidential;
	}

	public boolean isEncrypted() {
		return encrypted;
	}

	public void setEncrypted(boolean encrypted) {
		this.encrypted = encrypted;
	}

	public boolean isConsumerReadOnly() {
		return consumerReadOnly;
	}

	public void setConsumerReadOnly(boolean readonly) {
		this.consumerReadOnly = readonly;
	}

	public boolean isConsumerVisible() {
		return consumerVisible;
	}

	public void setConsumerVisible(boolean consumerVisible) {
		this.consumerVisible = consumerVisible;
	}

}