/**
 * Ladder, empowering Model Driven Architecture in J2EE applications
 *
 * Copyright (c) 2012, Dilip Dalton or third-party contributors as
 * indicated by the @author tags.
 *
 * This copyrighted material is made available to anyone wishing to use, modify,
 * copy, or redistribute it subject to the terms and conditions of the GNU
 * Lesser General Public License, as published by the Free Software Foundation.
 *
 * Ladder is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this distribution. If not, see <http://www.gnu.org/licenses/>.
 */ 

package ws.ladder.db.vo.option;

import java.util.HashSet;
import java.util.Set;

import ws.ladder.db.vo.base.ArtifactVO;
import ws.ladder.db.vo.base.IdentityVO;

public class OptionModelVO extends IdentityVO{
	
	private Set<OptionSetVO> optionSets;

	public Set<OptionSetVO> getOptionSets() {
		if (this.optionSets == null) {
			this.optionSets = new HashSet<OptionSetVO>();
		}
		return this.optionSets;
	}

	public void setOptionSets(Set<OptionSetVO> value) {
		this.optionSets = value;
	}
	
	private ArtifactVO artifact;
	
	public ArtifactVO getArtifact(){
		return this.artifact;
	}
	
	public void setArtifact(ArtifactVO artifact){
		this.artifact = artifact;
	}

}
