/**
 * Ladder, empowering Model Driven Architecture in J2EE applications
 *
 * Copyright (c) 2012, Dilip Dalton or third-party contributors as
 * indicated by the @author tags.
 *
 * This copyrighted material is made available to anyone wishing to use, modify,
 * copy, or redistribute it subject to the terms and conditions of the GNU
 * Lesser General Public License, as published by the Free Software Foundation.
 *
 * Ladder is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this distribution. If not, see <http://www.gnu.org/licenses/>.
 */ 

package ws.ladder.db.vo.option;

import java.util.HashSet;
import java.util.Set;

import ws.ladder.db.vo.base.IdentityVO;
import ws.ladder.db.vo.common.PropertyVO;

public class OptionVO extends IdentityVO {

	private Set<PropertyVO> property = new HashSet<PropertyVO>();

	private boolean consumerReadOnly;

	private boolean consumerVisible;

	private boolean isSelected;

	private OptionSetVO optionSet;

	private int orderIndex;

	public Set<PropertyVO> getProperty() {
		return property;
	}

	public boolean isConsumerReadOnly() {
		return this.consumerReadOnly;
	}

	public boolean isConsumerVisible() {
		return consumerVisible;
	}

	public boolean getIsSelected() {
		return this.isSelected;
	}

	public OptionSetVO getOptionSet() {
		return this.optionSet;
	}

	public int getOrderIndex() {
		return this.orderIndex;
	}

	public void setProperty(Set<PropertyVO> property) {
		this.property = property;
	}

	public void setConsumerReadOnly(boolean value) {
		this.consumerReadOnly = value;
	}

	public void setConsumerVisible(boolean consumerVisible) {
		this.consumerVisible = consumerVisible;
	}

	public void setIsSelected(boolean value) {
		this.isSelected = value;
	}

	public void setOptionSet(OptionSetVO value) {
		this.optionSet = value;
	}

	public void setOrderIndex(int value) {
		this.orderIndex = value;
	}

}