/**
 * Ladder, empowering Model Driven Architecture in J2EE applications
 *
 * Copyright (c) 2012, Dilip Dalton or third-party contributors as
 * indicated by the @author tags.
 *
 * This copyrighted material is made available to anyone wishing to use, modify,
 * copy, or redistribute it subject to the terms and conditions of the GNU
 * Lesser General Public License, as published by the Free Software Foundation.
 *
 * Ladder is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this distribution. If not, see <http://www.gnu.org/licenses/>.
 */ 

package ws.ladder.db.vo.pm;

import java.util.Map;
import java.util.Set;

import ws.ladder.db.vo.base.IdentityVO;
import ws.ladder.db.vo.base.ManagerVO;

public class ProjectVO extends IdentityVO {	
	
	private FinancialSummaryVO financialSummary;
	
	public FinancialSummaryVO getFinancialSummary() {
		return financialSummary;
	}

	public void setFinancialSummary(FinancialSummaryVO financialSummary) {
		this.financialSummary = financialSummary;
	}		

	private TaskVO rootTask;

	public TaskVO getRootTask() {
		return this.rootTask;
	}

	public void setRootTask(TaskVO root) {
		this.rootTask = root;
	}

	private Set<ManagerVO> managers;

	public Set<ManagerVO> getManagers() {
		return this.managers;
	}

	public void setManagers(Set<ManagerVO> managers) {
		this.managers = managers;
	}
	
	private Map<String, ProjectVO> subProjects;

	public Map<String, ProjectVO> getSubProjects() {
		return this.subProjects;
	}

	public void setSubProjects(Map<String, ProjectVO> subProjects) {
		this.subProjects = subProjects;
	}	
	
}
