/**
 * Ladder, empowering Model Driven Architecture in J2EE applications
 *
 * Copyright (c) 2012, Dilip Dalton or third-party contributors as
 * indicated by the @author tags.
 *
 * This copyrighted material is made available to anyone wishing to use, modify,
 * copy, or redistribute it subject to the terms and conditions of the GNU
 * Lesser General Public License, as published by the Free Software Foundation.
 *
 * Ladder is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this distribution. If not, see <http://www.gnu.org/licenses/>.
 */

package ws.ladder.db.vo.pm;

import java.util.Date;
import java.util.List;
import java.util.Set;

import ws.ladder.db.vo.base.IdentityVO;
import ws.ladder.db.vo.base.PersonVO;

public class TaskVO extends IdentityVO {	
		
	private Set<TaskVO> taskChildren;

	public Set<TaskVO> getTaskChildren() {
		return this.taskChildren;
	}

	public void setTaskChildren(Set<TaskVO> taskChildren) {
		this.taskChildren = taskChildren;
	}
	
	private List<TaskVO> dependants;

	public List<TaskVO> getDependants() {
		return this.dependants;
	}

	public void setDependants(List<TaskVO> dependencies) {
		this.dependants = dependencies;
	}	

	private TaskVO taskParent;

	public TaskVO getTaskParent() {
		return this.taskParent;
	}

	public void setTaskParent(TaskVO taskParent) {
		this.taskParent = taskParent;
	}

	private String taskUri;

	public void setTaskUri(String value) {
		this.taskUri = value;
	}
	public String getTaskUri() {
		return this.taskUri;
	}

	private PersonVO assignedTo;
	
	public PersonVO getAssignedTo() {
		return assignedTo;
	}

	public void setAssignedTo(PersonVO assignedTo) {
		this.assignedTo = assignedTo;
	}
	
	private TaskDetailsVO taskDetails;	
	
	public TaskDetailsVO getTaskDetails() {
		return taskDetails;
	}

	public void setTaskDetails(TaskDetailsVO taskDetails) {
		this.taskDetails = taskDetails;
	}	
	
	private TaskVO auditTask;	
	
	public TaskVO getAuditTask() {
		return auditTask;
	}	
	
	public void setAuditTask(TaskVO audit) {
		this.auditTask = audit;
	}	
	
	// The task related to the audit
	private TaskVO auditedTask;	
	
	public TaskVO getAuditedTask() {
		return auditedTask;
	}	
	
	public void setAuditedTask(TaskVO value) {
		this.auditedTask = value;
	}		

	private QuoteVO quote;
	
	public QuoteVO getQuote() {
		return quote;
	}

	public void setQuote(QuoteVO quote) {
		this.quote = quote;
	}
	
	private Date scheduledFinish;	
	
	public Date getScheduledFinish() {
		return scheduledFinish;
	}

	public void setScheduledFinish(Date scheduledFinish) {
		this.scheduledFinish = scheduledFinish;
	}
	
	public TaskVO getAlternateTask() {
		return alternateTask;
	}

	public void setAlternateTask(TaskVO alternateTask) {
		this.alternateTask = alternateTask;
	}

	// The task related to the audit
	private TaskVO alternateTask;
	
	private PersonVO ownedBy;

	public PersonVO getOwnedBy() {
		return this.ownedBy;
	}

	public void setOwnedBy(PersonVO ownedBy) {
		this.ownedBy = ownedBy;
	}	

}
