/**
 * Ladder, empowering Model Driven Architecture in J2EE applications
 *
 * Copyright (c) 2012, Dilip Dalton or third-party contributors as
 * indicated by the @author tags.
 *
 * This copyrighted material is made available to anyone wishing to use, modify,
 * copy, or redistribute it subject to the terms and conditions of the GNU
 * Lesser General Public License, as published by the Free Software Foundation.
 *
 * Ladder is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this distribution. If not, see <http://www.gnu.org/licenses/>.
 */

package ws.ladder.model.custom;


import ws.ladder.model.CallInfo;
import ws.ladder.util.ObjectCreator;


public class DefaultAssociationStrategy implements AssociationStrategy {
	/**
	 * The strategy used to associate with an existing object based on the source information
	 * @param callInfo
	 * @throws Exception 
	 */
	public Object execute(CallInfo callInfo, ObjectCreator oc) {
		return oc.getDAS().getPersistentObject(callInfo, oc.getTypeMapper());
	}

	/**
	 * Method that indicates if the source object should be persisted
	 * @param callInfo
	 */
	public boolean doCreate(CallInfo callInfo) {
		if(callInfo.getOperation().isExternalAssociationLink(callInfo))
			return false;
		
		return true;
	}
}
