/**
 * Ladder, empowering Model Driven Architecture in J2EE applications
 *
 * Copyright (c) 2012, Dilip Dalton or third-party contributors as
 * indicated by the @author tags.
 *
 * This copyrighted material is made available to anyone wishing to use, modify,
 * copy, or redistribute it subject to the terms and conditions of the GNU
 * Lesser General Public License, as published by the Free Software Foundation.
 *
 * Ladder is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this distribution. If not, see <http://www.gnu.org/licenses/>.
 */

package ws.ladder.model.view;

import java.util.List;

public interface Query {

	/**
	 * Get the result from the query
	 * @return
	 */
	@SuppressWarnings("rawtypes")
	public List getResultList(ViewBranch viewBranch); 

	/**
	 * Get single result from the query
	 */
	public Object getSingleResult();
	
	/**
	 * set the value for a parameter
	 * @param value
	 */
	public void setParameter(String name, Object value);
	
	/**
	 * Indicates if the parameter with the specified name is defined in the query
	 * @param name
	 * @return
	 */
	public boolean hasParameter(String name);
}
